\chapter{Group Theory Stuff}
\section{Categorical constructions}
\coms ToDo:\come
\begin{itemize}
  \item Semidirect product.
\end{itemize}
\come
\subsection{Free Groups and Free Product}
\begin{prop}\label{apgroup:freeprod}
  Let $S$ be a set $\ffunc(S)$ the free group on $S$. Then there is a unique isomorphism
  \[
  \bigast_{s\in S}\zz \xrightarrow{\sim} \ffunc(S)
  \]
\end{prop}
\begin{proof}
  Consider the assignment
  \[
  S\to \bigast_{s\in S}\zz,~s\mapsto 1_s
  \]
  where $1_s$ is the $1$ corresponding to the $s$-factor of $\zz$ in the free product. Let
  \[
  f: S \to G
  \]
  be a map of sets, where $G$ is a group. As $Z = \gen{1}$, we get a unique group homomorphism $\zz\to G,~1\mapsto f(s)$, for each $s\in S$. By the universal property, this translates into a unique group homomorphism \[
  \tilde{f}:\bigast_{s\in S}\zz \to G,\]
  such that
  \[
  \begin{tikzcd}
  \bigast_{s\in S}\zz\ar[dashed]{r}{\exists! \tilde{f}}&G\\
  \zz \ar{u}\ar{ur}[below right]{1\mapsto f(s)}
  \end{tikzcd}
  \]
  commutes, for every $s\in S$. So we get an induced map on all components
  \[
  \begin{tikzcd}
  \bigast_{s\in S}\zz \ar{r}{\tilde{f}}&G\\
  S\ar{u}[left]{s\mapsto 1_s}\ar{ur}[below right]{f}&
  \end{tikzcd}.
  \]
  So $\bigast_{s\in S} \zz$ satisfies the universal property of a free group, and hence is isomorphic to the free group $\ffunc(S)$.
\end{proof}
\begin{rem}\label{apgroup:freeabprod}
In an analogous way, we can show that the coproduct
\[
\coprod_{s\in S}\zz
\]
\end{rem}
is the free product in $\cab$.
\subsection{Abelianization}
  For a group $G$, denote its abelization by $G\abe:= G/[G,G]$. The projection $\pi:G\to G\abe$ has the following universal property:
  \begin{prop}\label{apgroup:abfac}
  Let $A$ be an abelian group, and $\pphi:G\to A$ a group homomorphism. Then $\pphi$ factors uniquely through $G\abe$, i.e. there is a unique group homomorphism $\pphi':G\abe\to A$ such that the diagram
  \[
  \begin{tikzcd}
  G\ar{r}[above]{\pphi}\ar{d}[left]{\pi}&A\\
  G\abe\ar[dashed]{ur}[below right]{\exists!\pphi'}&
  \end{tikzcd}
  \]
  commutes.
  \end{prop}
  \begin{proof}
  As $A$ is an abelian group, $[G,G]\subseteq \ker \pphi$ holds, regardless of other properties of $\pphi$. So the claim follows from the first homomorphism theorem for groups.
  \end{proof}
  With this universal property, we can construct the abelization functor:
  \[
  \begin{tikzcd}[sep = small, cramped]
  \left(-\right):\abe&\grpc \ar{rr}&& \cab \\
  &G\ar{dd}[left]{\pphi}&\mapsto&G\abe \ar{dd}[right]{\pphi'}\\
  &&\mapsto&\\
  &H&\mapsto&H\abe
  \end{tikzcd}
  \]
  Where $\pphi'$ is the morphism induced by the abelization of $H$:
  \[
  \begin{tikzcd}
  G\ar{r}{\pphi}\ar{d}[left]{\pi_G}&H\ar{r}{\pi_H}&H\abe\\
  G\abe\ar[dashed, bend right = 15]{urr}[below right]{\exists! \pphi'}&&
  \end{tikzcd}
  \]
  We can check that this is indeed a functor.
  Consider
  \[
  \begin{tikzcd}
  G\ar{d}[left]{\pi_G}\ar{r}{\id_G}&G\ar{r}{\pi_G}&G\abe\\
  G\abe\ar[bend right = 15]{urr}[below right]{\id_{G\abe}}
  \end{tikzcd}
  \]
  is commutative, so $(\id_G)\abe = \id_{G\abe}$, by the uniqueness of the induced map.\\
  Furthermore, for the composition, consider
  \[
  \begin{tikzcd}
  G\ar{r}{\pphi}\ar{d}[left]{\pi_G}&H\ar{r}{\psi}\ar{d}[right]{\pi_H}&H'\ar{r}{\pi_{H'}}&H'\abe\\
  G\abe\ar{r}[above]{\pphi'}\ar[bend right=40,dashed]{urrr}[below right]{\exists! (\psi\circ\pphi)''}&H\abe\ar[bend right = 10]{urr}[above left]{\psi'}
  \end{tikzcd}
  \]
  So, once again, by uniqueness, $(\psi\circ \pphi)' = \psi'\circ \pphi'$ follows.
  \begin{prop}
  Consider the incluision functor $\ifunc : \cab \to \grpc$. Then the pair $(-)\abe \dashv \ifunc$ is an adjunction.
  \end{prop}
  \begin{proof}
    Let $G$ be a group, and $A$ an abelian group. Consider the map
    \[
    \grpc(G,\ifunc A)\to \cab (G\abe,A),~f\mapsto f'
    \]
    Then the factorisation \cref{apgroup:abfac} states that this is indeed a bijection. The inverse map is given by
    \[
    \cab(G\abe,A)\to \grpc(G,\ifunc A),~f' \mapsto \pi_G\circ f'.
    \]
    For naturality, let
    \[
    f: G\to G'\tand g:A\to A'
    \]
    be group homomorphisms, where $A,A'$ are abelian groups.
    Let $h:G'\abe\to A$ be group homomorphism, and let $f' G\abe \to G'\abe$ be the induced map on abelinizations. Then the diagram
    \[
    \begin{tikzcd}
    G\ar{r}{f}\ar{d}[left]{\pi_G}&G'\ar{r}{h\circ \pi_{G'}}\ar{d}[right]{\pi_{G'}}&A\\
    G\abe\ar{r}[below]{f'}&G'\abe\ar{ur}[below right]{h}&
    \end{tikzcd}
    \]
    commutes, by the definition of $f$. Using an analogous argument, we arrive at the naturality of $\pphi$, so $(-)\abe\dashv \ifunc$ is indeed an adjunction.
    \end{proof}
    \begin{prop}
    Let $S$ be a set, $F(S)$ the free group of $S$ and $F\abe(S)$ the free abelian group on $S$. Then $\left(F(S)\right)\abe \cong F\abe(S)$.
    \end{prop}
    \begin{proof}
      The abelinization functor is left-adjoint, hence presevers colimits, and in particular coproducts. Then the claim follows from \cref{apgroup:freeprod} and \cref{apgroup:freeabprod}.
    \end{proof}

  \section{Classification Facts for (finite) Groups}
  Let $G$ be a group.
  \subsection{General facts}
  \begin{lem}\label{groupap: subgroup iff commutative}
    Let $U,V\sse G$ be subgroups. Consider the sets
    \[
    UV:= \lset uv\ssp u\in U,v\in V\rset \qquad \text{and}\qquad VU:= \lset vu\ssp u\in U,v\in V\rset.
    \]
    Then the following are equivalent:
    \begin{enumerate}
    \item $UV=VU$.
    \item $UV\sse G$ is a subgroup of $G$.

    \end{enumerate}
  \end{lem}
  \begin{proof}
    \coms This is proven in the script.\come
  \end{proof}
  \begin{lem}\label{groupap: normal subgroups with trivial intersection implies product subgroup}
    Let $U,V\nsg G$ be normal subgroups of $G$, such that $U\cap V = \{e\}$. Then
    \begin{enumerate}
      \item for all $u\in U$ and $v\in V$, we have $uv = vu$.
      \item $UV\sse $ is a subgroup of $G$.
    \end{enumerate}
  \end{lem}
  \begin{proof}
    \begin{enumerate}
      \item We have for all $u\in U,v\in V$ $[u,v] = uvu^{-1}v^{-1}\sse U\cap V$, by normalily. So $[u,v]=e$.
      \item By i), we have $UV=VU$, so by \cref{groupap: subgroup iff commutative}, the claim follows.
    \end{enumerate}
  \end{proof}
  \begin{prop}\label{groupap: iso for product of normal subgroups}
    Let be $U,V\nsg G$ normal subgroups, such that $U\cap V = \{e\}$. Then the map
    \[
    \pphi: U\times V\to UV,~(u,v)\mapsto uv
    \]
    is a well-defined isomorphism of groups.
  \end{prop}
\begin{proof}
  \begin{itemize}
    \item $UV$ is a subgroup of $G$: This is part ii) \cref{groupap: normal subgroups with trivial intersection implies product subgroup}.
    \item $\phi$ is a group homomorphism: Let $u,u'\in U$, $v,v'\in V$. Then by part i) of \cref{groupap: normal subgroups with trivial intersection implies product subgroup},
    we have
    \begin{align*}
      \pphi\left((uu',vv')\right) &= (uu')(vv')\\
      &= (uv)(u'v)\\
      &= \pphi\left((u,v)\right)\phi\left((u',v')\right).
    \end{align*}
    \item $\pphi$ is a group isomorphism: Clearly, $\pphi$ is surjective. Let $(u,v)\in \ker \pphi$. Then $uv = 1$, and hence $u=v^{-1}\in V$ and $v = u^{-1}\in U$, so $u,v\in U\cap V=\{e\}$. Hence $\pphi$ is injective.
  \end{itemize}
\end{proof}
\begin{prop}\label{groupap: inner product with trivial intersection normals implies iso to outer product}
  Let $G$ be a finite group with $\abs{G} = pq$, for $p,q$ prime and $p> q$.
  \begin{enumerate}
    \item Asssume $G$ contains a normal subgroup of $G$ order $p$ and a normal subgroup of order $q$. Then $G \cong \zz_p\times \zz_q$.
    \item Assume $q\ndivd (p-1)$. Then $G \cong \zz_p \times \zz_q$.
  \end{enumerate}
\end{prop}
\begin{proof}
  \begin{enumerate}
    \item Let $U$ be the normal subgroup of order $p$ and $V$ the normal subgroup of order $q$. Then $U,V$ are necessarily cyclic, and (as they have different order), $U\cap V=\{e\}$. So $UV \cong \zz_p\times \zz_q$ and $\abs{UV} = pq = \abs{G}$ by \cref{groupap: iso for product of normal subgroups}.
    So $UV= G$, and hence $G\cong \zz_p\times \zz_q$.
    \item By 3. Sylow, in this case, there is exactly one $p$-Sylow subgroup and one $q$-Sylow subgroup. So they are necessarily normal (by 2. Sylow) and cyclic of order $p$ and $q$ (by Cauchy) respectivley.
  \end{enumerate}
\end{proof}

\subsection{Classification of Small Groups}
\begin{prop}
  Let $G$ be a finite group of order six. Then either $G \cong \zz_2\times \zz_3$ or $G \cong S_3$.
\end{prop}
\begin{proof}
  We first note that $\abs{G} = 6 = 2\times 3$. We denote by $n_2$ the number of $2$-Sylow subgroups and by $n_3$ the number of $3$-Sylow subgroups. Then by 3.Sylow, we have $n_2 \in \{1,3\}$ and $n_3 = 1$. Note that any $2$-Sylow group is cyclic of order $2$, and every $3$-Sylow group is cyclic of order $3$.
  \begin{itemize}
    \item Consider first the case that $n_2 = 1 =n_3$. Denote the $2$-Sylow subgroup by $U$ and the $3$-Sylow subgroup by $V$. Then necessarily $U\cap V = \{e\}$, and by \cref{10: sylow group normal iff the only one}, both $U,V$ are normal in $G$.
    So by \cref{groupap: inner product with trivial intersection normals implies iso to outer product}, we have $G \cong U\times V \cong \zz_2\times \zz_3$.
    \item Consider now the case that $n_2 = 3$ and $n_3 = 1$.Let $H\leq G$ be a subgroup of order $2$. Then again by \cref{10: sylow group normal iff the only one}, we have that $H$ is \textit{not} normal in $G$. Consider now the group action of $G$ on the set $M:= \{gH\ssp g\in G\}$ of left-cosets of $G$,
    \[
    \phi: G\times M\to M,~(g,g'H)\mapsto (gg')H.
    \]
    This induces a group homomorphism $G\hat{\phi}:G\to S_3$. We have $\ker \phi \sse H$, and  as $H$ is not normal in $G$, $\ker \phi \ssne H$ follows. Since $\abs{H} =2$, we $\abs{\ker \phi} = 1$, so $\phi$ is injective. As both $G$ and $S_3$ are finite, this implies $G\cong S_3$.
  \end{itemize}
\end{proof}

  \subsection{Semidirect Products}
    Let $N,H$ be groups and \[\theta: H \to \gaut, h\mapsto \theta_H\] a group homomorphism. Then we can consider the following assignment on $N\times H$:
    \[
    (n_1,h_1),(n_2,h_2)\mapsto \left(n_1 \theta_{h_1}(n_2),h_1h_2\right).
    \]
    \begin{remdef}
      This defines a group structure on $N\times H$, which we denote by $N\sdtprod H$ and call the \toidx{semi-direct product}.
    \end{remdef}
    \begin{proof}
      The unit element is given by $(e_N,e_H)$. For any $(n,h)$, an inverse is given by $(\theta_{h^{-1}},h^{-1})$. Associativity follows by a direct calculation, using the fact that $\theta$ is a group homomorphism.
    \end{proof}
    \begin{prop}
      Let $N,H$ be two groups, and $\theta:H\to \gaut(N)$. Let $G:= N\sdtprod H$ be the corresponding semi-direct product. Then:
      \begin{enumerate}
        \item $G$ contains isomorphic copies of $N$ and $H$, so $N$ and $H$ can be identified with subgroups of $G$.
        \item The natural projection $G \to H$ is surjective, has kernel $N$; hence the sequence
        \[
        \begin{tikzcd}
          1\ar{r}& N\ar{r}& N\sdtprod H\ar{r}&H\ar{r}&1
        \end{tikzcd}
          \]
          is split-exact.
          \item $G = NH$.
          \item The homomorphism $\theta$ can be realized as conjugation in $G$, i.e. for $h\in H$, we have
          \[
          \theta_h(n) = hnh^{-1}.
          \]
      \end{enumerate}
    \end{prop}
    \begin{prop}
      Let $N,H$ be subgroups of a group $G$, such that $N\nsg G$ is normal in $G$, and $N\cap H = \{e_G\}$ and $G = NH$. consider the conjugation action  $\theta: H \to \gaut(N)$ given by
      \[
      \theta_h(n) = hnh^{-1}.
      \]
      Then $G\cong N \sdtprod H$.
    \end{prop}
